polybori::manager_traits< MgrType > Struct Template Reference

`#include <traits.h>`

## Public Types

typedef unsigned long | large_size_type
typedef long int | refcount_type
typedef CTypes::idx_type | idx_type
typedef CTypes::size_type | size_type
typedef DdNode * | node_type
typedef DdManager * | mgrcore_type
typedef node_type(* | unary_int_function )(mgrcore_type, int)
typedef node_type(* | void_function )(mgrcore_type)
typedef DD_CTFP | binary_function
typedef node_type(* | binary_int_function )(mgrcore_type, node_type, int)
typedef node_type(* | ternary_function )(mgrcore_type, node_type, node_type, node_type)
typedef int(* | int_unary_function )(mgrcore_type, node_type)

## Member Typedef Documentation

template<class MgrType >

typedef DD_CTFP polybori::manager_traits< MgrType >::binary_function

template<class MgrType >

typedef node_type(* polybori::manager_traits< MgrType >::binary_int_function)(mgrcore_type, node_type, int)

template<class MgrType >

typedef CTypes::idx_type polybori::manager_traits< MgrType >::idx_type

template<class MgrType >

typedef int(* polybori::manager_traits< MgrType >::int_unary_function)(mgrcore_type, node_type)

template<class MgrType >

typedef unsigned long polybori::manager_traits< MgrType >::large_size_type

template<class MgrType >

typedef DdManager* polybori::manager_traits< MgrType >::mgrcore_type

template<class MgrType >

typedef DdNode* polybori::manager_traits< MgrType >::node_type

template<class MgrType >

typedef long int polybori::manager_traits< MgrType >::refcount_type

template<class MgrType >

typedef CTypes::size_type polybori::manager_traits< MgrType >::size_type

template<class MgrType >

typedef node_type(* polybori::manager_traits< MgrType >::ternary_function)(mgrcore_type, node_type, node_type, node_type)

template<class MgrType >

typedef node_type(* polybori::manager_traits< MgrType >::unary_int_function)(mgrcore_type, int)

template<class MgrType >

typedef node_type(* polybori::manager_traits< MgrType >::void_function)(mgrcore_type)

The documentation for this struct was generated from the following file:

- traits.h